Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class CalculatePeriod

java.lang.Object
ru.bitel.bgbilling.modules.dialup.server.bean.CalculatePeriod

public class CalculatePeriod extends Object
Учетный период

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalculatePeriod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCid()`
  Возвращает код договора
  `Calendar`
  `getEnd()`
  Возвращает конец учетного периода
  `int`
  `getId()`
  Возвращает код учетного периода
  `Calendar`
  `getStart()`
  Возращает начало учетного периода
  `void`
  `setCid(int cid)`
  Устанавливает код договора
  `void`
  `setEnd(Calendar date2)`
  Устанавливает конец учетного периода
  `void`
  `setId(int id)`
  Устанавливает код учетного периода
  `void`
  `setStart(Calendar date1)`
  Устанавливает начало учетного периода

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalculatePeriod

    public CalculatePeriod()

- ## Method Details

  - ### getStart

    public Calendar getStart()
    Возращает начало учетного периода
    Returns:
      календарь начала

  - ### setStart

    public void setStart(Calendar date1)
    Устанавливает начало учетного периода
    Parameters:
      `date1` - новое начало учетного периода

  - ### getEnd

    public Calendar getEnd()
    Возвращает конец учетного периода
    Returns:
      календарь конца

  - ### setEnd

    public void setEnd(Calendar date2)
    Устанавливает конец учетного периода
    Parameters:
      `date2` - новый конец учетного периода

  - ### getId

    public int getId()
    Возвращает код учетного периода
    Returns:

  - ### setId

    public void setId(int id)
    Устанавливает код учетного периода
    Parameters:
      `id` -

  - ### getCid

    public int getCid()
    Возвращает код договора
    Returns:
      код договора

  - ### setCid

    public void setCid(int cid)
    Устанавливает код договора
    Parameters:
      `cid` - новый код договора